package com.kmall.manager.manager.express.sf.entity;

import javax.xml.bind.annotation.*;

@XmlRootElement(name = "Response")
@XmlAccessorType(XmlAccessType.FIELD)
public class SfRouteServiceResponseEntity {
	@XmlAttribute(name = "service")
	private String service;
	@XmlElement(name = "Head")
	private String head;
	@XmlElement(name = "ERROR")
	private String errors;
	@XmlElement(name = "Body")
	private BodyEntity body;

	public String getErrors() {
		return errors;
	}

	public void setErrors(String errors) {
		this.errors = errors;
	}

	public String getService() {
		return service;
	}

	public void setService(String service) {
		this.service = service;
	}

	public String getHead() {
		return head;
	}

	public void setHead(String head) {
		this.head = head;
	}

	public BodyEntity getBody() {
		return body;
	}

	public void setBody(BodyEntity body) {
		this.body = body;
	}

	@Override
	public String toString() {
		return "SfRouteServiceResponseEntity [service=" + service + ",head=" + head + ", body=" + body + ", error="
				+ errors + "]";
	}

}
